Package ru.bitel.common.model

# Class IdTitle

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `AbstractEntity`, `AbstractGeographicCode`, `AdditionalContractAction`, `Area`, `AssistantAction`, `AssistantActionItem`, `AttributeType`, `BalanceBaseType`, `BankAccount`, `BGInstalledModule`, `BGModule`, `BillLink`, `BonusPaymentType`, `Bot`, `BotDialog`, `BotDialogElement`, `BotDialogGroup`, `Channel`, `ChannelType`, `City`, `ClosedSormContract`, `ConfigData`, `Configuration`, `ContactType`, `Contract`, `Contract`, `ContractGroup`, `ContractIdTitleComment`, `ContractLabelItem`, `ContractNote`, `ContractNotification`, `ContractParameterGroupName`, `ContractParameterPref`, `ContractPatternNamedNumber`, `ContractSubPanelLog`, `ContractSubPanelManage`, `ContractTariffEntry`, `CostMap`, `Country`, `DashboardItem`, `Dealer`, `Dealer`, `DefaultTreeNode`, `DeviceGroup`, `DeviceTypeConfig`, `DialogProcessingWrapper`, `DialUpNAS`, `Dispatch`, `DispatchMessage`, `DocType`, `Document`, `DocumentJournal`, `DocumentPattern`, `DocumentStatus`, `DocumentType`, `EntitySpec`, `EntitySpecAttr`, `EntitySpecAttrListItem`, `EntitySpecDTO`, `EventScriptLink`, `EventType`, `FileInfo`, `GlobalScriptLink`, `InetInterface`, `InstalledInstanceModule`, `LightweightTaskData`, `MegogoContractSubscription`, `MegogoContractTryAndBuy`, `MegogoSubscription`, `MegogoTryAndBuy`, `MenuItem`, `Message`, `MobiServiceCode`, `MobNews`, `MQEvent`, `MQServer`, `News`, `NumerationPool`, `Packet`, `Printer`, `Product`, `ProductCategory`, `ProductSpecActivationMode`, `Quarter`, `RangeMap`, `RangeMapItem`, `Ratio`, `ReserveType`, `RunTelTariff`, `SBPilotTerminal`, `Script`, `SenderType`, `Service`, `SmartHousePackageBase`, `SormProject`, `Source`, `Status`, `Street`, `Subscriber`, `SubscriptionMode`, `SubscriptionType`, `SubscriptionType`, `Tag`, `TariffAVD`, `TariffGroup`, `TariffItem`, `TariffLabelItem`, `TariffOption`, `TariffOptionActivateMode`, `TariffPlan`, `TariffPlanData`, `TrafficRangeSpec`, `TrafficType`, `TrafficTypeLink`, `User`, `UserDevice`, `UserGroup`, `UserRightRule`, `VlanResource`, `VoiceCostMap`, `VoiceDestination`, `VoiceOperator`, `VoiceOption`, `VoiceZone`, `VoiceZoneMap`, `WebMenuItem`, `Zone`

    public class IdTitle
    extends Id
    implements ListItem, GuiTitlable

Класс - предок для всех bean, имеющих id и title.
Поддерживает JAXB сериализацию/десериализацию.
Successor для ListItem.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `title` | Название (описание) объекта

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IdTitle()` |
  `IdTitle​(int id, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `copyTo​(IdTitle idTitle)` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getTitle()` | Возвращает название (описание) объекта
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название (описание) объекта
  `IdTitle` | `toIdTitle()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### title

    protected java.lang.String title
    Название (описание) объекта

- ## Constructor Details

  - ### IdTitle

    public IdTitle()

  - ### IdTitle

    public IdTitle​(int id, java.lang.String title)

- ## Method Details

  - ### getTitle

    public java.lang.String getTitle()
    Возвращает название (описание) объекта
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Устанавливает название (описание) объекта
    Parameters:
      `value` - название (описание объекта)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### toIdTitle

    public IdTitle toIdTitle()

  - ### copyTo

    public void copyTo​(IdTitle idTitle)